The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Abnormal Health of Sensor

Prev Next

This URL provides details of any abnormal health of the Sensor only under the Hardware category.

Resource URL

GET /devicehealth/getAbnormalHealthBySensor/{sensorName}

Request Parameters

URL Parameters:

Field Name

Description

Data Type

Mandatory

sensorName

Sensor Name

String

Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

subcategory

Subcategory of the Sensor

String

eventName

Name of the event

String

sensorId

Sensor ID

Number

supported

If supported

Boolean

id

Key ID

Number

normal

If Sensor is normal

Boolean

fault

Fault name

String

faultDetailedText

Details of faults

String

healthState

Health state of the Sensor

Number

recommendation

Recommended actions

String

detailedText

Error details

String

occurenceCount

Number of occurrences of faults

Number

evtDate

Date of the event

Number

Example

Request

GET https://%3CNSM_IP%3E/sdkapi/devicehealth/getAbnormalHealthBySensor/{sensorName}

Response

{

    "Capacity": [],

    "Inspection": [],

    "Hardware": [

        {

            "eventName": "Watchdog Error",

            "sensorId": 1006,

            "supported": true,

            "category": "HEALTH",

            "subcategory": "Hardware",

            "id": "f092a5633092",

            "normal": false,

            "fault": "Watchdog Error",

            "faultDetailedText":"Device watchdog error.BMC Data0aBMC Watchdog Hard Reset action 6f [c1 04 ff]####Watchdog_20",

            "healthState": 3,

            "recommendation": "(i) Capture a System BMC Debug Log as soon as possible after the failure. (ii) OS event logs need to be investigated to determine what may have caused this.",

            "alarms": [

                {

                    "fault": "Watchdog Error",

                    "detailedText":"Device watchdog error.BMC Data0aBMC Watchdog Hard Reset action 6f [c1 04 ff]####Watchdog_20",

                    "recommendation": "(i) Capture a System BMC Debug Log as soon as possible after the failure. (ii) OS event logs need to be investigated to determine what may have caused this.",

                    "key": "f092a5633092",

                    "occurenceCount": 2,

                    "evtDate": 1672129866000

                }

            ]

        },

        {

            "eventName": "Generic Hardware Error",

            "sensorId": 1006,

            "category": "HEALTH",

            "subcategory": "Hardware",

            "id": "f092a5633100",

            "supported": true,

            "normal": false,

            "fault": "Generic Hardware Error",

            "faultDetailedText":"Device General Hardware error.BMC Data83BIOS Evt Sensor OEM System Booted 6f [01 ff ff]####System Event0",

            "healthState": 3,

            "recommendation": "Caused by another event. (i) System event logs would be cleared manually. (ii) Platform event Filters were triggered to send alerts of system event logs. (iii) Inspect system event logs that are found around the time of event.",

            "alarms": [

                {

                    "fault": "Generic Hardware Error",

                    "detailedText":"Device General Hardware error.BMC Data83BIOS Evt Sensor OEM System Booted 6f [01 ff ff]####System Event0",

                    "recommendation": "Caused by another event. (i) System event logs would be cleared manually. (ii) Platform event Filters were triggered to send alerts of system event logs. (iii) Inspect system event logs that are found around the time of event.",

                    "key": "f092a5633100",

                    "occurenceCount": 1,

                    "evtDate": 1672130409855

                }

            ]

        }

    ]

Error Information

Following error codes are returned by this URL:

S.No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

404

1106

Invalid Sensor

2

500

1124

The Sensor is inactive